function pidrahunoc(){
    let attack = document.getElementById('attack').value;
    attack = attack.trim() === '' ? 0 : Number(attack);
    let attack_speed = document.getElementById('attack-speed').value;
    attack_speed = attack_speed.trim() === '' ? 1.5 : Number(attack_speed);
    let range = document.getElementById('range').value;
    range = range.trim() === '' ? 100 : Number(range);
    let defense = document.getElementById('defense').value;
    defense = defense.trim() === '' ? 0 : Number(defense);
    let height = document.getElementById('height').value;
    height = height.trim() === '' ? 100 : Number(height);
    let height_regen = document.getElementById('height-regen').value;
    height_regen = height_regen.trim() === '' ? 0.25 : Number(height_regen);
    let mana = document.getElementById('mana').value;
    mana = mana.trim() === '' ? 50 : Number(mana);
    let mana_regen = document.getElementById('mana-regen').value;
    mana_regen = mana_regen.trim() === '' ? 0.25 : Number(mana_regen);
    let speed = document.getElementById('speed').value;
    speed = speed.trim() === '' ? 270 : Number(speed);
    const data = [attack, attack_speed, range, defense, height, height_regen, mana, mana_regen, speed]
    let attack_1 = document.getElementById('attack-1').value;
    attack_1 = attack_1.trim() === '' ? 4 : Number(attack_1);
    let range_1 = document.getElementById('range-1').value;
    range_1 = range_1.trim() === '' ? 10 : Number(range_1);
    let defense_1 = document.getElementById('defense-1').value;
    defense_1 = defense_1.trim() === '' ? 10 : Number(defense_1);
    let height_1 = document.getElementById('height-1').value;
    height_1 = height_1.trim() === '' ? 5 : Number(height_1);
    let height_regen_1 = document.getElementById('height-regen-1').value;
    height_regen_1 = height_regen_1.trim() === '' ? 10 : Number(height_regen_1);
    let mana_1 = document.getElementById('mana-1').value;
    mana_1 = mana_1.trim() === '' ? 5 : Number(mana_1);
    let mana_regen_1 = document.getElementById('mana-regen-1').value;
    mana_regen_1 = mana_regen_1.trim() === '' ? 10 : Number(mana_regen_1);
    let speed_1 = document.getElementById('mana-regen-1').value;
    speed_1 = speed_1.trim() === '' ? 10 : Number(speed_1);
    const cost = [attack_1, range_1, defense_1, height_1, height_regen_1, mana_1, mana_regen_1, speed_1];
    let unit_tupe = radio('unit_tupe');
    let moving_tupe = radio('moving_tupe');
    const tupes = [unit_tupe, moving_tupe];
    rishennya(data, cost, tupes);
};



let radio = function(option){
    // Провіряє значення радіокнопки
    let options = document.getElementsByName(option); 
    let selectedValue;
    for (let i of options) {
        if (i.checked) {
            selectedValue = i.value;
            break;
        }
    }
    return selectedValue
}

function rishennya(data, cost, tupes) {
    let gold = 0;
    let wood = 0;
    let select = document.getElementById("lauge").value;
    let message;
    if (tupes[0] == 1) {
        gold = gold + (data[0] * cost[0]) / (data[1] / 1.5) + ((data[4] - 100) * (cost[3] / 20))
        wood = wood + ((data[2] - 100) * (cost[1] / 100)) + ((data[3] - 2) * cost[2]) + ((data[5] - 0.25) * (cost[4] * 4)) + ((data[8] - 270) * (cost[7] / 40))
    }
    else if (tupes[0] == 2) {
        gold = gold + (data[0] * cost[0]) / (data[1] / 1.5) + ((data[4] - 100) * (cost[3] / 20))
        wood = wood + ((data[2] - 100) * (cost[1] / 100)) + ((data[3] - 2) * cost[2]) + ((data[5] - 0.25) * (cost[4] * 4)) + ((data[6] - 50) * (cost[5] / 10)) + ((data[7] - 0.25) * (cost[6] * 4)) + ((data[8] - 270) * (cost[7] / 40))
    }
    else if (tupes[0] == 3) {
        gold = gold + (data[0] * cost[0]) / (data[1] / 1.5) + ((data[4] - 100) * (cost[3] / 20))
        wood = wood + ((data[2] - 100) * (cost[1] / 100)) + (data[3] * cost[2]) + ((data[5] - 0.25) * (cost[4] * 4)) + ((data[8] - 270) * (cost[7] / 40))
    }
    else if (tupes[0] == 4) {
        gold = gold + (data[0] * cost[0]) / (data[1] / 1.5) + ((data[4] - 100) * (cost[3] / 20))
        wood = wood + ((data[2] - 100) * (cost[1] / 100)) + (data[3] * cost[2]) + ((data[5] - 0.25) * (cost[4] * 4)) + ((data[6] - 50) * (cost[5] / 10)) + ((data[7] - 0.25) * (cost[6] * 4)) + ((data[8] - 270) * (cost[7] / 40))
    };
    let unit_level = gold + wood <= 150 ? 1 : Math.ceil(((gold + wood) / 75) - 1);
    let unit_food = unit_level <= 2 ? unit_level : Math.ceil(unit_level / 2) + 1;
    if (tupes[1] == 2) {
        unit_food += 1;
    }
    else if (tupes[1] == 3) {
        gold += 20;
    }
    else if (tupes[1] == 4) {
        gold -= 20;
        wood -= 20;
    };
    if (wood < 0) {
        gold += wood
        wood = 0
    };
    if (gold < 0) {
        gold = 0
    };
    gold = parseInt(gold);
    wood = parseInt(wood);
    if (select === 'English') {
        message = `Your unit is worth ${gold} gold and ${wood} wood. Your unit level is ${unit_level}. Your unit must consume ${unit_food} of supplies.`;
    } else if (select === 'Ukrain') {
        message = `Ваш юніт коштує ${gold} золота і ${wood} дерева. Рівень вашого юніта рівний ${unit_level}. Ваш юніт повинен споживати ${unit_food} припасів.`;
    } else if (select === 'Russian') {
        message = `Ваш юнит стоит ${gold} золота и ${wood} дерева. Уровень вашего юнита равен ${unit_level}. Ваш юнит должен потреблять ${unit_food} запасов.`;
    }
    document.getElementById('result').innerText = (message);
}

function langvige() {
    let select = document.getElementById("lauge").value;
    let url;
    if (select === 'English') {
        url = 'static/json/en.json';
    } else if (select === 'Ukrain') {
        url = 'static/json/ua.json'
    } else if (select === 'Russian') {
        url = 'static/json/ru.json'
    }else {
        console.error('Невідома мова');
        document.getElementById('language').innerText = 'Помилка: невідома мова';
        return;
    };
    fetch(url)
        .then(response => {
            if (!response.ok) {
                throw new Error('Мережевий запит не був успішним');
            }
            return response.json();
        })
        .then(data => {
            document.getElementById('language').innerText = data.language;
            document.getElementById('name').innerText = data.Name;
            document.getElementById('worc').innerText = data.worc;
            document.getElementById('text_1').innerText = data.text_1;
            document.getElementById('list1').innerText = data.list1;
            document.getElementById('list2').innerText = data.list2;
            document.getElementById('list3').innerText = data.list3;
            document.getElementById('worc2').innerText = data.worc2;
            document.getElementById('tabl1').innerText = data.tabl1;
            document.getElementById('tabl2').innerText = data.tabl2;
            document.getElementById('tabl3').innerText = data.tabl3;
            document.getElementById('I1').innerText = data.I1;
            document.getElementById('I2').innerText = data.I2;
            document.getElementById('I3').innerText = data.I3;
            document.getElementById('I4').innerText = data.I4;
            document.getElementById('I5').innerText = data.I5;
            document.getElementById('I6').innerText = data.I6;
            document.getElementById('I7').innerText = data.I7;
            document.getElementById('I8').innerText = data.I8;
            document.getElementById('I9').innerText = data.I9;
            document.getElementById('attack').placeholder = data.Insert;
            document.getElementById('defense').placeholder = data.Insert;
            document.getElementById('height').placeholder = data.Insert;
            document.getElementById('mana').placeholder = data.Insert;
            document.getElementById('attack-speed').placeholder = data.attack_speed;
            document.getElementById('range').placeholder = data.attack_range;
            document.getElementById('height-regen').placeholder = data.hp_mp_regen;
            document.getElementById('mana-regen').placeholder = data.hp_mp_regen;
            document.getElementById('speed').placeholder = data.speed;
            document.getElementById('P1').innerText = data.P1;
            document.getElementById('P2').innerText = data.P2;
            document.getElementById('P3').innerText = data.P3;
            document.getElementById('P4').innerText = data.P4;
            document.getElementById('P5').innerText = data.P5;
            document.getElementById('P6').innerText = data.P6;
            document.getElementById('P7').innerText = data.P7;
            document.getElementById('P8').innerText = data.P8;
            document.getElementById('attack-1').placeholder = data.attack_1;
            document.getElementById('range-1').placeholder = data.B10;
            document.getElementById('defense-1').placeholder = data.B10;
            document.getElementById('height-1').placeholder = data.B5;
            document.getElementById('height-regen-1').placeholder = data.B10;
            document.getElementById('mana-1').placeholder = data.B5;
            document.getElementById('mana-regen-1').placeholder = data.B10;
            document.getElementById('speed-1').placeholder = data.B10;
            document.getElementById('tupe1').innerText = data.tupe1;
            document.getElementById('tupe2').innerText = data.tupe2;
            document.querySelector('label[for="not_not"]').innerHTML = '<input type="radio" name="unit_tupe" id="not_not" value="1">' + data.not_not;
            document.querySelector('label[for="not_yes"]').innerHTML = '<input type="radio" name="unit_tupe" id="not_yes" value="2">' + data.not_yes;
            document.querySelector('label[for="yes_not"]').innerHTML = '<input type="radio" name="unit_tupe" id="yes_not" value="3">' + data.yes_not;
            document.querySelector('label[for="yes_yes"]').innerHTML = '<input type="radio" name="unit_tupe" id="yes_yes" value="4">' + data.yes_yes;
            document.querySelector('label[for="unit_type1"]').innerHTML = '<input type="radio" name="moving_tupe" id="unit_type1" value="1">' + data.unit_type1;
            document.querySelector('label[for="unit_type2"]').innerHTML = '<input type="radio" name="moving_tupe" id="unit_type2" value="2">' + data.unit_type2;
            document.querySelector('label[for="unit_type3"]').innerHTML = '<input type="radio" name="moving_tupe" id="unit_type3" value="3">' + data.unit_type3;
            document.querySelector('label[for="unit_type4"]').innerHTML = '<input type="radio" name="moving_tupe" id="unit_type4" value="4">' + data.unit_type4;
            document.getElementById('button1').innerText = data.button1;
            document.getElementById('result').innerText = data.result;
            document.getElementById('instruct').innerText = data.instruct;
            document.getElementById('recommendations').innerText = data.recommendations;
            document.getElementById('instruct_t').innerText = data.instruct_t;
            document.getElementById('rec_1').innerText = data.rec_1;
            document.getElementById('rec1').innerText = data.rec1;
            document.getElementById('rec2').innerText = data.rec2;
            document.getElementById('rec3').innerText = data.rec3;
            document.getElementById('rec4').innerText = data.rec4;
            document.getElementById('rec5').innerText = data.rec5;
            document.getElementById('rec6').innerText = data.rec6;
            document.getElementById('contact').innerText = data.contact;
        })
        .catch(error => {
            console.error('Помилка:', error);
            document.getElementById('language').innerText = 'Помилка завантаження';
        });
};

